This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 155095 - gcalctool doesn't accept hexadecimal input from the keyboard
gcalctool doesn't accept hexadecimal input from the keyboard
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: gnome-utils (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-16 01:32 EDT by Stephen Warren
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-14 11:40:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stephen Warren 2005-04-16 01:32:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
gcalctool doesn't allow keyboard input of hexadecimal digit A to F

Version-Release number of selected component (if applicable):
gnome-utils-2.8.0-5

How reproducible:
Always

Steps to Reproduce:
1. run gcalctool
2. Select View/Scientific mode
3. Click the "Hex" radio button with the mouse
4. Attempt to type any of abcdef hex characters on the keyboard
  

Expected Results:  A-F appear to be keyboard accelerators, and do wierd things like change sign, enabled/disable the hex buttons in the UI, toggle the exponent being display etc.

Additional info:

Typing A-F should act just like 0-9 - i.e. append the digit typed into the hex value.
Comment 1 Matthew Miller 2006-07-10 17:07:22 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Ray Strode [halfline] 2007-08-14 11:40:55 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there haven't been any
updates to the report in quite a long time now after we've
requested additional information, we're assuming the problem
is either no longer present in our current OS release, or
that there is no longer any interest in tracking the problem.

Setting status to CANTFIX, however if you still
experience this problem after updating to our latest Fedora
Core release and are still interested in Red Hat tracking
the issue, and assisting in troubleshooting the problem,
please feel free to provide the information requested above,
and reopen the report.

Thank you in advance.

(this message is mass message)

Note You need to log in before you can comment on or make changes to this bug.